<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.kxs.product.biz.mapper.KxsShopGoodsSkuMapper">

    <resultMap type="com.kxs.product.api.model.KxsShopGoodsSku" id="KxsShopGoodsSkuMap">
        <result column="id" property="id" />
        <result column="create_time" property="createTime" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="version" property="version" />
        <result column="good_id" property="goodId" />
        <result column="limit_count" property="limitCount" />
        <result column="start_by_count" property="startByCount" />
        <result column="price" property="price" />
        <result column="stock_num" property="stockNum" />
        <result column="sales" property="sales" />
        <result column="image" property="image" />
        <result column="specifications" property="specifications" />

    </resultMap>
    <select id="getByGoodsSkuList" resultType="com.kxs.product.api.vo.kxsapp.shop.ShopGoodsSkuVO">
        select * from kxs_shop_goods_sku
        <where>
            del_flag = 0
            and goods_id = #{goodsId}
        </where>
    </select>

</mapper>
